## spice 0.11.0

=== debian/changelog ===
spice (0.11.0-1+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add series of patches for CVE-2015-5260 and CVE-2015-6261.
    CVE-2015-5260: insufficient validation of surface_id parameter can cause
    crash. (Closes: #801089)
    CVE-2015-5261: host memory access from guest using crafted images.
    (Closes: #801091)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 08 Oct 2015 17:41:09 +0200

spice (0.11.0-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-4130.patch patch.
    CVE-2013-4130: unsafe clients ring access abort. An user able to
    initiate spice connection to the guest could use this flaw to crash the
    guest. (Closes: #717030)
  * Add CVE-2013-4282.patch patch.
    CVE-2013-4282: Fix buffer overflow when decrypting client SPICE ticket.
    A remote user able to initiate a SPICE connection to an application
    acting as a SPICE server could use this flaw to crash the application.
    (Closes: #728314)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 03 Jan 2014 17:52:06 +0100

spice (0.11.0-1) unstable; urgency=low

  * New upstream release
  * Breaks spice-gtk (<= 0.12-2)
  * Refresh debian/libspice-server1.symbols
  * debian/control:
    - Update my e-mail address
    - Add python-pyparsing to Build-Depends
  * debian/patches:
    - Remove fix-error-path-return-in-snd_set_record_peer.patch, 
      applied upstream
    - Refresh make-celt-to-be-optional.patch
    - Refresh link-libspice-server-with-libm-libpthread.patch
  * Simplify debian/rules, celt removed, no reason to use 
    traditional one
  * Disable smartcard, not in debian yet
  * Refresh debian/copyright

 -- Liang Guo <guoliang@debian.org>  Sat, 09 Jun 2012 11:33:05 +0800

spice (0.10.1-3~nocelt) experimental; urgency=low

  * Applying for co-maintenance, adding myself to Uploaders (Closes: #671627)
  * Bump Standards-Version to 3.9.3 (no changes)
  * link-libspice-server-with-libm-libpthread.patch - missing libraries
  * Enable multiarch for libspice-server, bump debhelper compat to 9
  * do not require root in clean target
  * build-depend on dh-autoreconf and python to be able to run autoreconf
    and python code generator
  * use dh_autoreconf, do not ship debian/source/options anymore
  * consolidate clean target in debian/rules
  * 2 patches:
    - fix-error-path-return-in-snd_set_record_peer.patch (from upstream git),
      which is a pre-requisite for the next patch, and
    - make-celt-to-be-optional.patch (sent to upstream).
    This makes it possible to build spice without celt.
  * Disable celt051 usage.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 02 Jun 2012 16:18:56 +0400

=== debian/control ===
Source: spice
Section: misc
Priority: optional
Maintainer: Liang Guo <guoliang@debian.org>
Uploaders: Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper (>= 9), pkg-config,
 dh-autoreconf, python,
 libspice-protocol-dev (>= 0.10.1~),
 libpixman-1-dev (>= 0.17.7~),
 libxrandr-dev (>= 1.2~),
 libasound2-dev,
 libssl-dev,
 libxfixes-dev,
 libglu1-mesa-dev,
 libgl1-mesa-dev,
 libsasl2-dev,
 libjpeg-dev,
 libxinerama-dev,
 libogg-dev,
 python-pyparsing,
Standards-Version: 3.9.3
Homepage: http://spice-space.org/
Vcs-Git: git://git.debian.org/collab-maint/spice.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/spice.git;a=summary

Package: spice-client
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Implements the client side of the SPICE protocol
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.
 .
 This package contains the SPICE client application.

Package: libspice-server1
Section: libs
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: spice-client-gtk (<= 0.12-2), python-spice-client-gtk (<= 0.12-2), 
 libspice-client-glib-2.0-1 (<= 0.12-2), libspice-client-gtk-2.0-1 (<= 0.12-2), 
 libspice-client-gtk-3.0-1 (<= 0.12-2)
Description: Implements the server side of the SPICE protocol
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.
 .
 This package contains the run-time libraries for any application that 
 wishes to be a SPICE server.

Package: libspice-server-dev
Section: libdevel
Architecture: i386 amd64
Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libpixman-1-dev (>= 0.17.7~), libssl-dev, libxinerama-dev
Suggests: pkg-config
Description: Header files and development documentation for spice-server
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.
 .
 This package contains the header files, static libraries and development
 documentation for spice-server.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@  --with autoreconf
override_dh_auto_configure:
	dh_auto_configure --  --disable-celt051 --disable-smartcard

## spice 0.12.0

=== debian/changelog ===
spice (0.12.0-0ubuntu1) quantal; urgency=low

  * New upstream release 0.12.0. (LP: #1056381)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 25 Sep 2012 15:48:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: spice
 Section: misc
 Priority: optional
-Maintainer: Liang Guo <guoliang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper (>= 9), pkg-config,
  dh-autoreconf, python,

## spice 0.12.2

=== debian/changelog ===
spice (0.12.2-0nocelt2expubuntu1) raring; urgency=low

  * Link server tests with -lm.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2013 09:29:32 +0200

spice (0.12.2-0nocelt2exp) experimental; urgency=low

  * added two patches from Serge Hallyn to fix numerous compiler warnings:
     fix-build-warning-PIXEL.patch
     fix-tests-warnings.patch
  * spice-common-remove-version-construction.patch - to stop spice-common
    from produce a ton of `build-aux/git-version-gen: not found' errors
    during autoreconf.

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 11 Feb 2013 23:29:11 +0400

spice (0.12.2-0nocelt1exp) experimental; urgency=low

  * New upstream release
  * debian/patches:
     - Refresh link-libspice-server-with-libm-libpthread.patch
  * Refresh debian/cpyright, new files added
  * Build client, upstream don't build client by default
  * Refresh libspice-server1.symbols
  * Add libglib2.0-dev to Build-Depends

  [ Michael Tokarev ]
  * refresh make-celt-to-be-optional.patch (minor context diff)
  * do not build-depend on libspice-protocol-dev
    (upstream always uses included copy)
  * add (versioned) dependency on libspice-protocol-dev to libspice-server-dev
    package, since when the latter is installed, embedded protocol headers
    are not installed
  * do not build-depend on mesa libs (OpenGL is not enabled by default
    and is not recommended by upstream)
  * do not build-depend on libogg-dev
  * configure with --disable-silent-rules, so that the compiler command
    line is visible (this fixes the lintian warnings about hardening flags)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 17 Jan 2013 19:19:30 +0400

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: spice
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
+Maintainer: Liang Guo <guoliang@debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper (>= 9), pkg-config,
  dh-autoreconf, python,
- libspice-protocol-dev (>= 0.10.1~),
+# libspice-protocol is actually not needed for build,
+# 0.12 always uses included definitions
+# libspice-protocol-dev (>= 0.10.1~),
  libpixman-1-dev (>= 0.17.7~),
  libxrandr-dev (>= 1.2~),
  libasound2-dev,
  libssl-dev,
  libxfixes-dev,
- libglu1-mesa-dev,
- libgl1-mesa-dev,
+# these might be required for opengl support
+# which has to be enabled explicitly and is not recommended
+# libglu1-mesa-dev, libgl1-mesa-dev,
  libsasl2-dev,
  libjpeg-dev,
  libxinerama-dev,
- libogg-dev,
  python-pyparsing,
+ libglib2.0-dev,
 Standards-Version: 3.9.3
 Homepage: http://spice-space.org/
 Vcs-Git: git://git.debian.org/collab-maint/spice.git
@@ -58,7 +60,7 @@
 Package: libspice-server-dev
 Section: libdevel
 Architecture: i386 amd64
-Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libpixman-1-dev (>= 0.17.7~), libssl-dev, libxinerama-dev
+Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libpixman-1-dev (>= 0.17.7~), libssl-dev, libxinerama-dev, libspice-protocol-dev (>= 0.12.0~)
 Suggests: pkg-config
 Description: Header files and development documentation for spice-server
  The Simple Protocol for Independent Computing Environments (SPICE) is

## spice 0.12.4

=== debian/changelog ===
spice (0.12.4-0nocelt2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 06 Dec 2013 01:49:51 +0400

spice (0.12.4-0nocelt2) unstable; urgency=high

  * Fix CVE-2013-4282 (Closes: #728314)

 -- Liang Guo <guoliang@debian.org>  Thu, 07 Nov 2013 22:44:29 +0800

spice (0.12.4-0nocelt1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches
    - add enable_subdir-objects.patch (Closes: #724093)

 -- Hideki Yamane <henrich@debian.org>  Mon, 21 Oct 2013 12:27:35 +0900

spice (0.12.4-0nocelt1) unstable; urgency=low

  * New upstream release (Closes: #717030)
  * Remove .version after build (Closes: #671627)
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no changes)
    - Update VCS-* to use canonical URIs
  * debian/patches:
    - fix-tests-warnings.patch, refresh
    - link-server-test-with-libm-libpthread.patch, add (Closes: #713681)
  * Refresh libspice-server1.symbols
  
 -- Liang Guo <guoliang@debian.org>  Thu, 25 Jul 2013 00:10:00 +0800
  

spice (0.12.3-0nocelt1) unstable; urgency=low

  * New upstream release
  * debian/patches:
    - fix-build-warning-PIXEL.patch, remove, applied upstream
    - link-libspice-server-with-libm-libpthread.patch, remove,
      applied upstream
    - spice-common-remove-version-construction.patch, remove,
      applied upstream
    - fix-tests-warnings.patch, refresh
    - make-celt-to-be-optional.patch, refresh
  * libspice-server-dev should depends on libglib2.0-dev, or 
    qxl driver compile will fail. 
  * Refresh libspice-server1.symbols

 -- Liang Guo <guoliang@debian.org>  Sun, 19 May 2013 11:10:10 +0800

spice (0.12.2-0nocelt3) unstable; urgency=low

  * Upload to unstable

 -- Liang Guo <guoliang@debian.org>  Fri, 10 May 2013 09:10:16 +0800

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@  --with autoreconf
override_dh_auto_configure:
	dh_auto_configure --  --disable-celt051 --disable-silent-rules \
		--disable-smartcard --enable-client
override_dh_auto_clean:
	-$(RM) .version
	dh_auto_clean

## spice 0.12.5

=== debian/changelog ===
spice (0.12.5-1.1ubuntu2.1) wily-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    memory allocation flaw in smartcard interaction
    - debian/patches/CVE-2016-0749/*.patch: add a ref to item and allocate
      msg with the expected size in server/smartcard.c.
    - CVE-2016-0749
  * SECURITY UPDATE: host memory access from guest with invalid primary
    surface parameters
    - debian/patches/CVE-2016-2150/*.patch: create a function to validate
      surface parameters in server/red_parse_qxl.*, improve primary surface
      parameter checks in server/red_worker.c.
    - CVE-2016-2150
  * Added two extra commits to previous security update:
    - 0001-worker-validate-correctly-surfaces.patch
    - 0002-worker-avoid-double-free-or-double-create-of-surface.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Jun 2016 10:54:26 -0400

spice (0.12.5-1.1ubuntu2) wily; urgency=medium

  * SECURITY UPDATE: multiple security issues
    - debian/patches/CVE-2015-526x/*.patch: apply series of patches from
      Red Hat to fix overflows, race conditions, memory leaks and denial of
      service issues.
    - CVE-2015-5260
    - CVE-2015-5261

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 19 Oct 2015 12:29:46 -0400

spice (0.12.5-1.1ubuntu1) wily; urgency=medium

  * SECURITY UPDATE: heap corruption via monitor configs
    - debian/patches/CVE-2015-3247.patch: only read count once in
      server/red_worker.c.
    - CVE-2015-3247

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Sep 2015 07:58:48 -0400

spice (0.12.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable smartcard support now that libcacard is in the archive (Closes:
    #786833)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 14 Aug 2015 09:29:41 +0200

spice (0.12.5-1) unstable; urgency=medium

  * new upstream release.  Can now build without celt!
  * Dropped patches:
    - make-celt-to-be-optional.patch
    - link-server-test-with-libm-libpthread.patch
    - enable_subdir-objects.patch
    - fix-buffer-overflow-when-decrypting-client-spice-ticket.patch
  * build-depend on libopus-dev, which enables opus support
    (no --enable-opus configure flag for now)
  * do not remove .version in clean anymore (it is part of the tarball)
  * do not use dh_autoreconf, since we aren't changing autoconf anymore
  * update libspice-server1.symbols with new symbols
  * introduce libspice-server1-dbg package (Closes: #743850)
  * fix the vcs-browse url (Closes: #722241)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 23 May 2014 19:26:44 +0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: spice
 Section: misc
 Priority: optional
-Maintainer: Liang Guo <guoliang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper (>= 9), pkg-config,
- dh-autoreconf, python,
+ python,
 # libspice-protocol is actually not needed for build,
 # 0.12 always uses included definitions
 # libspice-protocol-dev (>= 0.10.1~),
+ libopus-dev (>= 0.9.14),
  libpixman-1-dev (>= 0.17.7~),
  libxrandr-dev (>= 1.2~),
  libasound2-dev,
@@ -20,11 +22,12 @@
  libjpeg-dev,
  libxinerama-dev,
  python-pyparsing,
- libglib2.0-dev,
-Standards-Version: 3.9.3
+ libglib2.0-dev (>= 2.22~),
+ libcacard-dev (>= 0.1.2),
+Standards-Version: 3.9.4
 Homepage: http://spice-space.org/
-Vcs-Git: git://git.debian.org/collab-maint/spice.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/spice.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/spice.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spice.git
 
 Package: spice-client
 Architecture: i386 amd64
@@ -57,10 +60,27 @@
  This package contains the run-time libraries for any application that 
  wishes to be a SPICE server.
 
+Package: libspice-server1-dbg
+Section: debug
+Architecture: i386 amd64
+Priority: extra
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for libspice-server1
+ The Simple Protocol for Independent Computing Environments (SPICE) is
+ a remote display system built for virtual environments which allows
+ you to view a computing 'desktop' environment not only on the machine
+ where it is running, but from anywhere on the Internet and from a wide
+ variety of machine architectures.
+ .
+ This package contains the debugging symbols for the libspice-server1
+ library.
+
 Package: libspice-server-dev
 Section: libdevel
 Architecture: i386 amd64
-Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libpixman-1-dev (>= 0.17.7~), libssl-dev, libxinerama-dev, libspice-protocol-dev (>= 0.12.0~)
+Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev (>= 2.22~), libpixman-1-dev (>= 0.17.7~), libssl-dev, libxinerama-dev, libspice-protocol-dev (>= 0.12.0~), libcacard-dev (>= 0.1.2)
 Suggests: pkg-config
 Description: Header files and development documentation for spice-server
  The Simple Protocol for Independent Computing Environments (SPICE) is

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --  --disable-celt051 --disable-silent-rules \
		--enable-smartcard --enable-client

override_dh_strip:
	dh_strip -plibspice-server1 --dbg-package=libspice-server1-dbg
	dh_strip -Nlibspice-server1

override_dh_installdocs:
	dh_installdocs -plibspice-server1-dbg --link-doc=libspice-server1
	dh_installdocs -Nlibspice-server1-dbg

## spice 0.12.6

=== debian/changelog ===
spice (0.12.6-4ubuntu0.5) xenial-security; urgency=medium

  * SECURITY UPDATE: multiple buffer overflows in QUIC image decoding
    - debian/patches/CVE-2020-14355-1.patch: check we have some data to
      start decoding quic image in spice-common/common/quic.c.
    - debian/patches/CVE-2020-14355-2.patch: check image size in
      quic_decode_begin in spice-common/common/quic.c.
    - debian/patches/CVE-2020-14355-3.patch: check RLE lengths in
      spice-common/common/quic_tmpl.c.
    - debian/patches/CVE-2020-14355-4.patch: avoid possible buffer overflow
      in find_bucket in spice-common/common/quic_family_tmpl.c.
    - CVE-2020-14355

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Oct 2020 07:15:42 -0400

spice (0.12.6-4ubuntu0.4) xenial-security; urgency=medium

  * SECURITY UPDATE: off-by-one error in memslot_get_virt
    - debian/patches/CVE-2019-3813.patch: fix checks in
      server/red_memslots.c.
    - CVE-2019-3813

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Jan 2019 09:45:07 -0500

spice (0.12.6-4ubuntu0.3) xenial-security; urgency=medium

  * SECURITY UPDATE: buffer overflow via invalid monitor configurations
    - debian/patches/CVE-2017-7506-1.patch: disconnect when receiving
      overly big ClientMonitorsConfig in server/reds.c.
    - debian/patches/CVE-2017-7506-2.patch: avoid integer overflows
      handling monitor configuration in server/reds.c.
    - debian/patches/CVE-2017-7506-3.patch: avoid buffer overflows handling
      monitor configuration in server/reds.c.
    - CVE-2017-7506

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Jul 2017 13:34:33 -0400

spice (0.12.6-4ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: overflow when reading large messages
    - debian/patches/CVE-2016-9577.patch: check size in
      server/main_channel.c.
    - CVE-2016-9577
  * SECURITY UPDATE: DoS via crafted message
    - debian/patches/CVE-2016-9578-1.patch: limit size in server/reds.c.
    - debian/patches/CVE-2016-9578-2.patch: limit caps in server/reds.c.
    - CVE-2016-9578

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 15 Feb 2017 14:02:33 -0500

spice (0.12.6-4ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    memory allocation flaw in smartcard interaction
    - debian/patches/CVE-2016-0749/*.patch: add a ref to item and allocate
      msg with the expected size in server/smartcard.c.
    - CVE-2016-0749
  * SECURITY UPDATE: host memory access from guest with invalid primary
    surface parameters
    - debian/patches/CVE-2016-2150/*.patch: create a function to validate
      surface parameters in server/red_parse_qxl.*, improve primary surface
      parameter checks in server/red_worker.c.
    - CVE-2016-2150

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Jun 2016 10:12:39 -0400

spice (0.12.6-4) unstable; urgency=medium

  * stop depending libspice-server-dev on libcacard-dev (#802413).
    Instead, remove mention of libcacard from the .pc file, as it
    is not actually used when building with libspice-server.
  * remove Requires.private defs from .pc file -- we're not building static
    libs, but if Requires.private is present, pkg-config requires the other
    .pc files to be present too, which is wrong (Closes: #803926)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 06 Nov 2015 10:43:55 +0300

spice (0.12.6-3) unstable; urgency=medium

  * update Standards-Version to 3.9.6 (no changes)
  * add libcacard-dev to libspice-server-dev dependencies
    (Closes: #802413)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 20 Oct 2015 10:08:46 +0300

spice (0.12.6-2) unstable; urgency=medium

  * stop linking with libcacard as no symbols from it are
    actually used
  * use dh-autoreconf since we're modifying automake files again

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 09 Oct 2015 01:14:03 +0300

spice (0.12.6-1) unstable; urgency=medium

  * Acknowledge previous NMUs. Thank you Salvatore and Laurent!
  * new upstream release (0.12.6), removed all patches (applied upstream)
  * add libspice-protocol-dev to build-deps, it is actually used
    since this version (instead of internal version)
  * remove libxinerama from build-deps and deps of libspice-server-dev
    (#658173 fixed upstream)
  * remove libcacard-dev from libspice-server1-dev deps (it is not
    actually used by the server) and remove version from libcacard
    build-dep (any version ever seen in debian will do)
    TODO: stop linking with libcacard0 too, as libspice-server does
    not actually use any of its symbols
  * stop building spice-client, since upstream dropped it
    (Closes: #749331 #704229 #641772 #715179).
    Remove libxrandr-dev, libxfixes-dev, and mentions of mesa from build-deps.
  * update libspice-server1.symbols file with new symbols.
    Note: one symbol has been removed in this release,
    spice_server_migrate_client_state@SPICE_SERVER_0.6.0 (from 0.8.2),
    but it looks like it was exported by mistake and has never been
    a public API, so we wont make new library package
  * enable parallel build (dch --parallel)
  * add python-six to build-deps, needed for code generation
    (marshallers/demarshallers)
  * remove libxinerama-dev, libssl-dev and libglib2.0-dev deps from
    libspice-server-dev package, since spice headers does not include
    these anymore, and the libs will be satisfied from the shared library
  * remove spice-protocol refs from d/copyright
  * remove double LGPL-2.1+ license text from d/copyright

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 09 Oct 2015 00:00:34 +0300

spice (0.12.5-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Add series of patches for CVE-2015-5260 and CVE-2015-5261.
    CVE-2015-5260: insufficient validation of surface_id parameter can cause
    crash. (Closes: #801089)
    CVE-2015-5261: host memory access from guest using crafted images.
    (Closes: #801091)



=== debian/control ===
--- 
+++ 
@@ -5,41 +5,22 @@
 XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper (>= 9), pkg-config,
- python,
-# libspice-protocol is actually not needed for build,
-# 0.12 always uses included definitions
-# libspice-protocol-dev (>= 0.10.1~),
+ dh-autoreconf,
+ python, python-six,
+ libspice-protocol-dev (>= 0.12.10~),
  libopus-dev (>= 0.9.14),
  libpixman-1-dev (>= 0.17.7~),
- libxrandr-dev (>= 1.2~),
  libasound2-dev,
  libssl-dev,
- libxfixes-dev,
-# these might be required for opengl support
-# which has to be enabled explicitly and is not recommended
-# libglu1-mesa-dev, libgl1-mesa-dev,
  libsasl2-dev,
  libjpeg-dev,
- libxinerama-dev,
  python-pyparsing,
  libglib2.0-dev (>= 2.22~),
- libcacard-dev (>= 0.1.2),
-Standards-Version: 3.9.4
+ libcacard-dev,
+Standards-Version: 3.9.6
 Homepage: http://spice-space.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/spice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spice.git
-
-Package: spice-client
-Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Implements the client side of the SPICE protocol
- The Simple Protocol for Independent Computing Environments (SPICE) is
- a remote display system built for virtual environments which allows
- you to view a computing 'desktop' environment not only on the machine
- where it is running, but from anywhere on the Internet and from a wide
- variety of machine architectures.
- .
- This package contains the SPICE client application.
 
 Package: libspice-server1
 Section: libs
@@ -80,7 +61,7 @@
 Package: libspice-server-dev
 Section: libdevel
 Architecture: i386 amd64
-Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev (>= 2.22~), libpixman-1-dev (>= 0.17.7~), libssl-dev, libxinerama-dev, libspice-protocol-dev (>= 0.12.0~), libcacard-dev (>= 0.1.2)
+Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libspice-protocol-dev (>= 0.12.10~)
 Suggests: pkg-config
 Description: Header files and development documentation for spice-server
  The Simple Protocol for Independent Computing Environments (SPICE) is

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,13 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure --  --disable-celt051 --disable-silent-rules \
-		--enable-smartcard --enable-client
+		--enable-smartcard
+# remove Requires.private defs from .pc file -- we're not building static libs
+	sed -i '/^Requires\.private:/D' spice-server.pc
 
 override_dh_strip:
 	dh_strip -plibspice-server1 --dbg-package=libspice-server1-dbg

## spice 0.12.8

=== debian/changelog ===
spice (0.12.8-2.1+deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Add patch to fix multiple buffer overflow vulnerabilities.
    (Fixes: CVE-2020-14355) (Closes: #971750)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 01 Nov 2020 21:35:01 +0530

spice (0.12.8-2.1+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * memslot: Fix off-by-one error in group/slot boundary check (CVE-2019-3813)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 27 Jan 2019 17:28:58 +0100

spice (0.12.8-2.1+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix flexible array buffer overflow (CVE-2018-10873) (Closes: #906315)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 07 Oct 2018 08:51:43 +0200

spice (0.12.8-2.1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-7506: Possible buffer overflow via invalid monitor configurations

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 04 Jul 2017 21:33:54 +0200

spice (0.12.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add CVE-2016-9577-and-CVE-2016-9578.patch:
    - CVE-2016-9577: A buffer overflow vulnerability in
      main_channel_alloc_msg_rcv_buf was found that occurs when reading large
      messages due to missing buffer size check.
    - CVE-2016-9578: A vulnerability was discovered in the server's
      protocol handling. An attacker able to connect to the spice server could
      send crafted messages which would cause the process to crash.
      (Closes: #854336)

 -- Markus Koschany <apo@debian.org>  Mon, 13 Feb 2017 21:42:01 +0100

spice (0.12.8-2) unstable; urgency=medium

  * Build on all little-endian architectures (Closes: #734218)
  * Drop -dbg package and rely on the automatically built one (-dbgsym)
  * Drop the libasound2-dev build-dependency, this was needed for the
    spice-client which is gone since 0.12.6-1

 -- Liang Guo <guoliang@debian.org>  Fri, 06 Jan 2017 21:50:55 +0800

spice (0.12.8-1) unstable; urgency=medium

  * New upstream release
  * Remove debian/patches/{CVE-2016-0749,CVE-2016-2150}, applied 
    Upstream

 -- Liang Guo <guoliang@debian.org>  Tue, 26 Jul 2016 11:06:19 +0800

spice (0.12.7-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Refresh debian/patches
  * Static build is disabled, remove lib*.a from libspice-server-dev
  * Update Standards-Version to 3.9.8 (no changes)
  * Use secure uri in vcs-*

 -- Liang Guo <guoliang@debian.org>  Thu, 23 Jun 2016 14:09:24 +0800

spice (0.12.6-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2016-0749: heap-based buffer overflow in smartcard interaction
    (Closes: #826585)
  * CVE-2016-2150: host memory access from guest using crafted primary surface
    parameters (Closes: #826584)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 06 Jun 2016 19:22:10 +0200

=== debian/control ===
Source: spice
Section: misc
Priority: optional
Maintainer: Liang Guo <guoliang@debian.org>
Uploaders: Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper (>= 9), pkg-config,
 dh-autoreconf,
 python, python-six,
 libspice-protocol-dev (>= 0.12.10~),
 libopus-dev (>= 0.9.14),
 libpixman-1-dev (>= 0.17.7~),
 libssl-dev,
 libsasl2-dev,
 libjpeg-dev,
 python-pyparsing,
 libglib2.0-dev (>= 2.22~),
 libcacard-dev,
Standards-Version: 3.9.8
Homepage: http://spice-space.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/spice.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/spice.git

Package: libspice-server1
Section: libs
Architecture: alpha amd64 arm64 armel armhf i386 mips64el mipsel ppc64el sh4 x32
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: spice-client-gtk (<= 0.12-2), python-spice-client-gtk (<= 0.12-2), 
 libspice-client-glib-2.0-1 (<= 0.12-2), libspice-client-gtk-2.0-1 (<= 0.12-2), 
 libspice-client-gtk-3.0-1 (<= 0.12-2)
Description: Implements the server side of the SPICE protocol
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.
 .
 This package contains the run-time libraries for any application that 
 wishes to be a SPICE server.

Package: libspice-server-dev
Section: libdevel
Architecture: alpha amd64 arm64 armel armhf i386 mips64el mipsel ppc64el sh4 x32
Depends: libspice-server1 (= ${binary:Version}), ${misc:Depends}, libspice-protocol-dev (>= 0.12.10~)
Suggests: pkg-config
Description: Header files and development documentation for spice-server
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.
 .
 This package contains the header files, static libraries and development
 documentation for spice-server.

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,6 @@
 # remove Requires.private defs from .pc file -- we're not building static libs
 	sed -i '/^Requires\.private:/D' spice-server.pc
 
-override_dh_strip:
-	dh_strip -plibspice-server1 --dbg-package=libspice-server1-dbg
-	dh_strip -Nlibspice-server1
-
 override_dh_installdocs:
 	dh_installdocs -plibspice-server1-dbg --link-doc=libspice-server1
 	dh_installdocs -Nlibspice-server1-dbg

## spice 0.14.0

=== debian/changelog ===
spice (0.14.0-1.3+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * quic: Check we have some data to start decoding quic image
    (CVE-2020-14355)
  * quic: Check image size in quic_decode_begin (CVE-2020-14355)
  * quic: Check RLE lengths (CVE-2020-14355)
  * quic: Avoid possible buffer overflow in find_bucket (CVE-2020-14355)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 05 Oct 2020 09:31:09 +0200

spice (0.14.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * memslot: Fix off-by-one error in group/slot boundary check (CVE-2019-3813)
    (Closes: #920762)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 28 Jan 2019 13:04:44 +0100

spice (0.14.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * tests/pki: Use CA/certificate with 2048 bit RSA keys (Closes: #910634)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 11 Oct 2018 23:41:48 +0200

spice (0.14.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix flexible array buffer overflow (CVE-2018-10873) (Closes: #906315)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 15 Sep 2018 09:15:28 +0200

spice (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: refresh 
  * debian/control:
    - Add liborc-0.4-dev to Build-Depends
    - Update Build-Depends on debhelper to >= 10 
    - Remove dh-autoreconf from Build-Depends
    - Bump Standards-Version to 4.1.1 (no changes)
    - Use https in Homepage
  * debian/compat, bump to 10
  * debian/watch, switch to https

 -- Liang Guo <guoliang@debian.org>  Thu, 19 Oct 2017 14:35:54 +0800

spice (0.13.90-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Disable parallel building for the tests, this will hopefully
    fix FTBFS on some arch (Closes: #876266)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 20 Sep 2017 12:53:44 +0200

spice (0.13.90-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Laurent Bigonville ]
  * New upstream release (Closes: #849569)
    - Adjust the build-dependencies
    - Drop d/p/CVE-2016-9577-and-CVE-2016-9578.patch,
      d/p/CVE-2017-7506-1.patch, d/p/CVE-2017-7506-2.patch,
      d/p/CVE-2017-7506-3.patch: All merged upstream
    - Drop debian/patches/fix-tests-warnings.patch, unused
    - debian/libspice-server1.symbols: Add newly exported symbols
  * debian/watch: Enable gpg key verification of the upstream tarball
  * debian/rules: Also remove the Libs.private defs from .pc file
  * debian/control: Bump Standards-Version to 4.1.0 (no further changes)
  * debian/rules: Drop override_dh_installdocs, this was only needed when we
    were building the -dbg package ourself
  * debian/control: Add liblz4-dev to the build-dependencies
  * debian/control: Add the needed gstreamer modules to the
    (build-)dependencies to enable gstreamer support
  * Run wrap-and-sort -ts

  [ Santiago Ruano Rincón ]
  * debian/tests/automated-tests: Intial DEP-8 test, using upstream automated
    test (Closes: #827027)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 22 Aug 2017 19:08:19 +0200

spice (0.12.8-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2017-7506: (Closes: #868083)
    Possible buffer overflow via invalid monitor configurations.

 -- Markus Koschany <apo@debian.org>  Fri, 21 Jul 2017 23:34:38 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure --  --disable-celt051 --disable-silent-rules \
		--enable-smartcard
# remove Requires.private and Libs.private defs from .pc file -- we're not building static libs
	sed -E -i '/^(Libs|Requires)\.private:/D' spice-server.pc

override_dh_auto_test:
	dh_auto_test --no-parallel

=== debian/tests/control ===
Tests: automated-tests
Depends: @, @builddeps@, spice-client-gtk

## spice 0.14.2

=== meson_options.txt ===
option('gstreamer',
    type : 'combo',
    choices : ['1.0', '0.10', 'no'],
    description : 'Enable gstreamer support')

option('lz4',
    type : 'boolean',
    value : true,
    description: 'Enable lz4 compression support')

option('sasl',
    type : 'boolean',
    value : true,
    description : 'Use cyrus SASL authentication')

option('celt051',
    type : 'feature',
    description: 'Enable celt051 audio codec')

option('opus',
    type : 'feature',
    description: 'Enable Opus audio codec')

option('smartcard',
    type : 'feature',
    description : 'Enable smartcard support')

option('alignment-checks',
    type : 'boolean',
    value : false,
    description : 'Enable runtime checks for cast alignment')

option('extra-checks',
    type : 'boolean',
    value: false,
    description : 'Enable extra checks on code')

option('statistics',
    type : 'boolean',
    value: false,
    description : 'Build SPICE with statistic code enabled')

option('manual',
    type : 'boolean',
    value : true,
    description : 'Build SPICE manual')

option('recorder',
    type : 'boolean',
    value : false,
    description: 'Enable recorder instrumentation')

=== subprojects/spice-common/meson_options.txt ===
option('alignment-checks',
    type : 'boolean',
    value : false,
    yield : true,
    description : 'Enable runtime checks for cast alignment')

option('extra-checks',
    type : 'boolean',
    value : false,
    yield : true,
    description : 'Enable extra checks on code')

option('celt051',
    type : 'feature',
    yield : true,
    description: 'Enable celt051 audio codec')

option('opus',
    type : 'feature',
    yield : true,
    description: 'Enable Opus audio codec')

option('recorder',
    type : 'boolean',
    value : false,
    yield : true,
    description: 'Enable recorder instrumentation')

option('smartcard',
    type : 'feature',
    yield : true,
    description : 'Enable smartcard support')

option('python-checks',
    type : 'boolean',
    value : true,
    description : 'Enable checks for Python modules needed to build from git')

option('manual',
    type : 'boolean',
    value : true,
    yield : true,
    description : 'Build SPICE manual')

option('generate-code',
    type : 'combo',
    choices : ['all', 'server', 'client'],
    description : 'Which code should be built')

=== debian/changelog ===
spice (0.14.2-4ubuntu3.1) focal-security; urgency=medium

  * SECURITY UPDATE: multiple buffer overflows in QUIC image decoding
    - debian/patches/CVE-2020-14355-1.patch: check we have some data to
      start decoding quic image in subprojects/spice-common/common/quic.c.
    - debian/patches/CVE-2020-14355-2.patch: check image size in
      quic_decode_begin in subprojects/spice-common/common/quic.c.
    - debian/patches/CVE-2020-14355-3.patch: check RLE lengths in
      subprojects/spice-common/common/quic_tmpl.c.
    - debian/patches/CVE-2020-14355-4.patch: avoid possible buffer overflow
      in find_bucket in subprojects/spice-common/common/quic_family_tmpl.c.
    - CVE-2020-14355

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Oct 2020 07:03:54 -0400

spice (0.14.2-4ubuntu3) focal; urgency=medium

  * d/p/lp-1874054-*: fix rescaling and some crashes (LP: #1874054)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 21 Apr 2020 14:05:18 +0200

spice (0.14.2-4ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:26:08 +0100

spice (0.14.2-4ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1852439). Remaining changes:
    - d/control: Don't recommend -libav gstreamer plugins since it is in
      universe
    - make autopkgtests work again
      - d/t/automated-tests: spice-common moved into dir subprojects
      - d/t/automated-tests: option --enable-automated-tests now is always on
      - d/t/control: make tests more debuggable by allowing stderr
      - d/t/control: install new test dependency python-pil
      - d/t/regression-test.py, d/t/base_test.ppm: add file dropped in release
        tarball but needed for autopkgtests
      - d/source/include-binaries: allow binary base_test.ppm in package
  * Added changes:
    - d/t/automated-tests, d/t/control: make autopkgtests python3 compatible
  * Dropped Changes (in Debian):
    - d/control: Don't recommend -ugly gstreamer plugins since it is in universe
    - d/patches: drop patches being upstream in 0.14.2
    - new upstream 0.14.2
    - disable failing test-listen
    - d/libspice-server1.symbols: update for new symbols in 14.2
    - d/p/fix-test-qxl-parsing-on-ppc64el-and-armhf.patch: avoid FTBFS due to
      different handling of high words for constants
    - d/control: bump build dependency to libspice-protocol-dev >=0.14.0
  * Dropped Changes (Upstream)
    - SECURITY UPDATE: Integer overflow and buffer overflow CVE-2017-12194
    - SECURITY UPDATE: Denial of service CVE-2018-10873
    - SECURITY UPDATE: off-by-one error in memslot_get_virt CVE-2019-3813

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 13 Nov 2019 15:54:00 +0100

spice (0.14.2-4) unstable; urgency=medium

  * disable failing test-listen (Closes: #941006)
  * add fix-test-qxl-parsing-on-ppc64el-and-armhf.patch
  * stop using dh_autoreconf as we do not patch autoconf/automake anymore

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 01 Oct 2019 08:52:16 +0300

spice (0.14.2-3) unstable; urgency=medium

  * red-replay-qxl-fix-replay-on-32-bit-systems.patch
    hopefully fix the tests failure on arm* and ppc (FTBFS)
  * remove-compile-warnings-on-Linux-32bit-system.patch
    fix tons of compiler warnings on 32bit platforms

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 31 Aug 2019 21:20:40 +0300

spice (0.14.2-2) unstable; urgency=medium

  * set $XDG_RUNTIME_DIR instead of $HOME when running tests
    to avoid dconf cache failure (fix FTBFS on almost all buildds)
  * set GSTREAMER_1_0_LIBS and GLIB2_LIBS (trimmed) for configure
    to avoid linking with useless libs

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 30 Aug 2019 15:58:47 +0300

spice (0.14.2-1) unstable; urgency=medium

  * new upstream 0.14.2 release
  * remove all security patches (included upstream)
  * set maintainer to the QEMU team (Closes: #911427)
  * spice-protocol needs to be >= 0.14.0
  * require glib >= 2.38
  * do not disable celt051, it is not enabled by default anymore
  * explicitly enable optional features at configure time
    (gstreamer=1.0, sasl, lz4)
  * do not recommend but suggest gstreamer1.0-plugins-ugly
  * stop Break'ing very old spice-client packages
  * set $HOME when running tests
  * switch to python3 when building (Closes: #938548)
  * update libspice-server1.symbols
    (+SPICE_SERVER_0.14.2, +spice_qxl_set_device_info)
  * remove unneded --parallel option to debhelper
  * fix VCS fields to point to salsa

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 30 Aug 2019 13:54:00 +0300

spice (0.14.2-0ubuntu2) eoan; urgency=medium

  * Fixup autpkgtest (LP: #1834286)
    These changes will make the test able to run again, but not output mismatch
    errors (this matches the behavior before 0.14.2). Upstream discussion
    started on how to resolve that as a next step, more details at the LP bug.
    - d/t/automated-tests: spice-common moved into dir subprojects
    - d/t/automated-tests: option --enable-automated-tests now is always on"
    - d/t/automated-tests, d/t/control: make tests more debuggable by allowing
      stderr
    - d/t/control: install new test dependency python-pil
    - d/t/base_test.ppm, d/t/regression-test.py: provide test resources from
      upstream git not part of the released tarball anymore
    - d/source/include-binaries: allow binary base_test.ppm in package

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 25 Jun 2019 12:59:01 +0200

spice (0.14.2-0ubuntu1) eoan; urgency=medium

  * New upstream release
    Among many other fixes this will resolve (LP: #1814146)
    - d/p/disable-failing-test-listen.patch: disable new test that is
      unreliable in the build environment
    - d/patches: drop patches being upstream in 0.14.2
      + debian/patches/CVE-2017-12194-1.patch
      + debian/patches/CVE-2017-12194-2.patch
      + debian/patches/CVE-2017-12194-3.patch


=== debian/control ===
Source: spice
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Michael Tokarev <mjt@tls.msk.ru>
Build-Depends:
 debhelper (>= 10),
 gstreamer1.0-libav,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-tools,
 libcacard-dev,
 libglib2.0-dev (>= 2.38),
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libjpeg-dev,
 liblz4-dev,
 libopus-dev (>= 0.9.14),
 libpixman-1-dev (>= 0.17.7),
 libsasl2-dev,
 libspice-protocol-dev (>= 0.14.0~),
 libssl-dev,
 pkg-config,
 python3,
 python3-pyparsing,
 python3-six,
 liborc-0.4-dev,
Standards-Version: 4.1.1
Homepage: http://www.spice-space.org
Vcs-Git: https://salsa.debian.org/debian/spice.git
Vcs-Browser: https://salsa.debian.org/debian/spice

Package: libspice-server1
Section: libs
Architecture: alpha amd64 arm64 armel armhf i386 mips64el mipsel ppc64el sh4 x32
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends:
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
Suggests:
 gstreamer1.0-plugins-ugly,
Description: Implements the server side of the SPICE protocol
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.
 .
 This package contains the run-time libraries for any application that
 wishes to be a SPICE server.

Package: libspice-server-dev
Section: libdevel
Architecture: alpha amd64 arm64 armel armhf i386 mips64el mipsel ppc64el sh4 x32
Depends:
 libspice-protocol-dev (>= 0.14.0~),
 libspice-server1 (= ${binary:Version}),
 ${misc:Depends},
Suggests: pkg-config
Description: Header files and development documentation for spice-server
 The Simple Protocol for Independent Computing Environments (SPICE) is
 a remote display system built for virtual environments which allows
 you to view a computing 'desktop' environment not only on the machine
 where it is running, but from anywhere on the Internet and from a wide
 variety of machine architectures.
 .
 This package contains the header files, static libraries and development
 documentation for spice-server.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
# set GSTREAMER and GLIB2 _LIBS to smaller list
# to avoid linking with useless libraries
	GSTREAMER_1_0_LIBS="-lgstapp-1.0 -lgstreamer-1.0" \
	GLIB2_LIBS="-lgio-2.0 -lgobject-2.0 -lglib-2.0" \
	dh_auto_configure -- --disable-silent-rules \
	 --enable-smartcard \
	 --with-gstreamer=1.0 \
	 --with-sasl \
	 --enable-lz4 \

# remove Requires.private and Libs.private defs from .pc file -- we're not building static libs
	sed -E -i '/^(Libs|Requires)\.private:/D' spice-server.pc
